
#include <iostream>

#include "stack.hh"

char alt_stack[8192];
sp_t main_sp, alt_sp;

void
alt()
{
  for (;;) {
    std::cout << "I'm in alt" << std::endl;
    stack_switch(&alt_sp, &main_sp);
  }
}

int
main()
{
  alt_sp = stack_init(alt_stack, sizeof(alt_stack), &alt);
  for (int i = 0; i < 3; ++i) {
    std::cout << "I'm in main" << std::endl;
    stack_switch(&main_sp, &alt_sp);
  }
}
